TLM-2.0: tlm::tlm_transport_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL > Class Template Reference

# tlm::tlm_transport_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL > Class Template Reference

`#include <tlm_req_rsp_channels.h>`

List of all members.

## Public Member Functions
| tlm_transport_channel ()
| tlm_transport_channel (sc_core::sc_module_name nm)
## Public Attributes
sc_core::sc_export < tlm_transport_if< REQ, RSP > > | target_export
sc_core::sc_export < tlm_fifo_get_if< REQ > > | get_request_export
sc_core::sc_export < tlm_fifo_put_if< RSP > > | put_response_export
sc_core::sc_export < tlm_slave_if< REQ, RSP > > | slave_export

## Detailed Description

### template<typename REQ, typename RSP, typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>
class tlm::tlm_transport_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >

Definition at line 100 of file tlm_req_rsp_channels.h.

## Constructor & Destructor Documentation

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

tlm::tlm_transport_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::tlm_transport_channel | ( |  | ) | `[inline]`

Definition at line 115 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

tlm::tlm_transport_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::tlm_transport_channel | ( | sc_core::sc_module_name | nm | ) | `[inline]`

Definition at line 124 of file tlm_req_rsp_channels.h.

## Member Data Documentation

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

sc_core::sc_export< tlm_fifo_get_if< REQ > > tlm::tlm_transport_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::get_request_export

Definition at line 110 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

sc_core::sc_export< tlm_fifo_put_if< RSP > > tlm::tlm_transport_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::put_response_export

Definition at line 111 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

sc_core::sc_export< tlm_slave_if< REQ , RSP > > tlm::tlm_transport_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::slave_export

Definition at line 113 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

sc_core::sc_export< tlm_transport_if< REQ , RSP > > tlm::tlm_transport_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::target_export

Definition at line 106 of file tlm_req_rsp_channels.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_1/tlm_req_rsp/tlm_channels/tlm_req_rsp_channels/tlm_req_rsp_channels.h